# 3rd Party Contributions

These source code contributions enhance the functionality of the olcPixelGameEngine header file. They are not supported by OneLoneCoder.com or javidx9 so use them at your own risk! Though this is a nice community and to get listed here you have to be trusted...

## PixelGameEngine Extensions (PGEX)
* Adds a "stencil buffer" like viewport to drawing functions
  * https://github.com/gorbit99/olcPGEX_ViewPort
* Cross Platform Controller Support
  * https://github.com/gorbit99/olcPGEX_Gamepad
* General Font Rendering
  * https://github.com/gorbit99/olcPGEX_TTF
* Widens support for audio files into olcPGEX_Sound.h
  * https://github.com/gorbit99/olcPGEX_AudioConvert
* Sprite Animation, Sprite State Machine and Sprite Sheet Manipulation
  * https://github.com/matt-hayward/olcPGEX_AnimatedSprite
* Additional colour constants
  * https://github.com/matt-hayward/olcPGEX_AdditionalColours  
* Various Sprite Handling & Camera Control Utilities
  * https://github.com/justinrichardsmusic/PGEv2_Extensions
* DearImGUI Integration
  * https://github.com/dandistine/olcPGEDearImGui
* Pre-loaded Font Rendering
  * https://github.com/Oso-Grande/olcPGEX_Font
* Arc Drawing
  * https://github.com/AlterEgoIV/olcPGEX_Arc
  
## MacOS Support
* These will potentially be absorbed into main build
  * https://github.com/MumflrFumperdink/olcPGEMac

## Build Systems
* Meson (https://mesonbuild.com/index.html)
  * https://github.com/jpakkane/pixeldemo
* CMake script 
  * https://github.com/plane000/olcPixelGameEngine/blob/master/CMakeLists.txt 
* CMake script for all includes Emscripten/WASM/Webby stuff
  * https://github.com/L0huis/PGE-CMake

## Utilities
* Additional fonts and font handling tools 
  * https://github.com/gorbit99/OLC-Font
* Convert olcConsoleGameEngine ".spr" files into olc::Sprite types 
  * https://github.com/gorbit99/SprConverter

## Customisations
* Version with SDL backend, and native controller support
  * https://github.com/Allersnj/olcPixelGameEngineSDL

## Cool Projects
Have you made something using olcPixelGameEngine? Contact me to get a link to it here!
